<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-datausage.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-datausage.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&quot;</code><br />
</div>
<p><a href="mcm-datausage_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a430bcbfe98c50ac08a5e4ab75fb80c26"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-datausage_8h.html#a430bcbfe98c50ac08a5e4ab75fb80c26">mcm_datausage_get_iface_total</a> (char *interfaceName, <a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a> *traffic_info)</td></tr>
<tr class="memdesc:a430bcbfe98c50ac08a5e4ab75fb80c26"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to get traffic.  <a href="mcm-datausage_8h.html#a430bcbfe98c50ac08a5e4ab75fb80c26">More...</a><br /></td></tr>
<tr class="separator:a430bcbfe98c50ac08a5e4ab75fb80c26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f7c4a36267f049b7de330e3118574ca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-datausage_8h.html#a0f7c4a36267f049b7de330e3118574ca">mcm_datausage_get_iface_period</a> (char *interfaceName, char *databegin, char *dataend, <a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a> *traffic_info)</td></tr>
<tr class="memdesc:a0f7c4a36267f049b7de330e3118574ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to get traffic for a period of time.  <a href="mcm-datausage_8h.html#a0f7c4a36267f049b7de330e3118574ca">More...</a><br /></td></tr>
<tr class="separator:a0f7c4a36267f049b7de330e3118574ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2e471b9e743f9fbdfc6ec91bc0ea0ec"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-datausage_8h.html#ab2e471b9e743f9fbdfc6ec91bc0ea0ec">mcm_datausage_get_iface_from</a> (char *interfaceName, char *databegin, <a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a> *traffic_info)</td></tr>
<tr class="memdesc:ab2e471b9e743f9fbdfc6ec91bc0ea0ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to get traffic for a period of time.  <a href="mcm-datausage_8h.html#ab2e471b9e743f9fbdfc6ec91bc0ea0ec">More...</a><br /></td></tr>
<tr class="separator:ab2e471b9e743f9fbdfc6ec91bc0ea0ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95ba56b80d2e91075f285edf2eca41ec"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-datausage_8h.html#a95ba56b80d2e91075f285edf2eca41ec">mcm_datausage_reset</a> (char *interfaceName)</td></tr>
<tr class="memdesc:a95ba56b80d2e91075f285edf2eca41ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">A helper function to reset traffic data and restart monitor.  <a href="mcm-datausage_8h.html#a95ba56b80d2e91075f285edf2eca41ec">More...</a><br /></td></tr>
<tr class="separator:a95ba56b80d2e91075f285edf2eca41ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="ab2e471b9e743f9fbdfc6ec91bc0ea0ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2e471b9e743f9fbdfc6ec91bc0ea0ec">&#9670;&nbsp;</a></span>mcm_datausage_get_iface_from()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_datausage_get_iface_from </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>databegin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a> *&#160;</td>
          <td class="paramname"><em>traffic_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to get traffic for a period of time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">databegin</td><td>(input) Start date. expected date format YYYY-MM-DD HH:MM or YYYY-MM-DD.</td></tr>
    <tr><td class="paramname">traffic_info</td><td>(output) A datausage infomation structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get total traffic success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a0f7c4a36267f049b7de330e3118574ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f7c4a36267f049b7de330e3118574ca">&#9670;&nbsp;</a></span>mcm_datausage_get_iface_period()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_datausage_get_iface_period </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>databegin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>dataend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a> *&#160;</td>
          <td class="paramname"><em>traffic_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to get traffic for a period of time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">databegin</td><td>(input) Start date. expected date format YYYY-MM-DD HH:MM or YYYY-MM-DD.</td></tr>
    <tr><td class="paramname">dataend</td><td>(input) End date. expected date format YYYY-MM-DD HH:MM or YYYY-MM-DD.</td></tr>
    <tr><td class="paramname">traffic_info</td><td>(output) A datausage infomation structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get total traffic success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a430bcbfe98c50ac08a5e4ab75fb80c26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a430bcbfe98c50ac08a5e4ab75fb80c26">&#9670;&nbsp;</a></span>mcm_datausage_get_iface_total()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_datausage_get_iface_total </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a> *&#160;</td>
          <td class="paramname"><em>traffic_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to get traffic. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">traffic_info</td><td>(output) A datausage infomation structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get total traffic success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a95ba56b80d2e91075f285edf2eca41ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95ba56b80d2e91075f285edf2eca41ec">&#9670;&nbsp;</a></span>mcm_datausage_reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_datausage_reset </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A helper function to reset traffic data and restart monitor. </p>
<dl class="section return"><dt>Returns</dt><dd>If reset success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
